Page MenuHomePhabricator

Changes to EditAttemptStep schema for Discussion Tools Replying V1.0
Closed, ResolvedPublic

Event Timeline

EditAttemptStep needs to be tweaked a little so it can apply to DiscussionTools being used to edit a page. I think what's needed is:

  • init_type gaining a new possible value, reply or maybe talk -- depends on what we want to make count as an "init".
    • talk if init will fire when DiscussionTools actually initializes and adds the reply links to the page. (More semantically correct, less useful; every single talk-page view would init a session.)
    • reply if init will fire when clicking on a reply link.
  • editor_interface will need a new value for discussiontools.
  • integration will need a new value for discussiontools (probably?)
  • save_failure_type and abort_type will need to be examined to see if they need new possible values or if current ones will fit the new use case

@DLynch talking to @ppelberg, can you confirm this ticket doesn't need to be resolved in order to implement instrumentation for 1.0 T243364

@DLynch talking to @ppelberg, can you confirm this ticket doesn't need to be resolved in order to implement instrumentation for 1.0 T243364

No, this one needs to happen.

But Maya and I have spoken about it, and we know what needs to happen.

Mayakp.wiki renamed this task from Add new `page-type` to EditAttemptStep schema to Changes to EditAttemptStep schema for Discussion Tools Replying V1.0.Feb 11 2020, 12:02 AM

But Maya and I have spoken about it, and we know what needs to happen.

Agreed, changing the description to make it clearer.

@Mayakp.wiki I've made the very small required change to the schema here: https://meta.wikimedia.org/w/index.php?title=Schema:EditAttemptStep&type=revision&diff=19802113&oldid=19486181

Could you verify that I've not forgotten about anything which we agreed to?

matmarex moved this task from To Triage to Triaged on the VisualEditor board.Feb 12 2020, 5:21 PM

Reviewed the changes. Confirming that everything discussed with @DLynch for v1.0 has been made as expected.
We are tracking the required changes to EditAttemptstep using this section of the Instrumentation spec document.

Change 572725 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/WikimediaEvents@master] EditAttemptStep: bump schema version

https://gerrit.wikimedia.org/r/572725

Change 572725 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] EditAttemptStep: bump schema version

https://gerrit.wikimedia.org/r/572725

ppelberg closed this task as Resolved.Feb 20 2020, 7:29 PM
ppelberg added a subscriber: Ryasmeen.

Closing this task, assuming implementation is done. QA will happen in this task: T244874

cc @DLynch @Ryasmeen @Mayakp.wiki

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptFeb 20 2020, 7:29 PM